import { BaseSchema } from '@adonisjs/lucid/schema';
export default class extends BaseSchema {
    tableName = 'scammer_whitelist';
    async up() {
        this.schema.createTable(this.tableName, (table) => {
            table.increments('id');
            table.string('phone', 30).notNullable().unique();
            table.string('name', 100).nullable();
            table.text('reason').nullable();
            table.integer('added_by').unsigned().nullable().references('id').inTable('users').onDelete('SET NULL');
            table.timestamp('created_at');
            table.timestamp('updated_at');
        });
    }
    async down() {
        this.schema.dropTable(this.tableName);
    }
}
